@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package osc_snovis with version v1r0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\project\version\obuild
REM #   DOS> DOS\build_release
REM # or :
REM #   DOS> call DOS\build_release.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_snovis_path=%obuild_osc_snovis_path:~0,-12%

SET obuild_verbose=no
SET obuild_set_x=no
SET obuild_erase_dir_bin=no

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   DOS\run [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -e : erase binary directory.
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

IF NOT "%1%" == "-e" GOTO end_if_e
  SET obuild_erase_dir_bin=yes
  SHIFT
  GOTO next_arg
:end_if_e

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF "%OBUILD_PLATFORM%" == "" (
  IF "%OS%" == "" ECHO Environment variable OS not found. & GOTO obuild_return
  SET obuild_platform=%OS%
) ELSE (
  SET obuild_platform=%OBUILD_PLATFORM%
)

IF "%obuild_platform%" == "" (
  ECHO obuild_platform variable not defined.
  GOTO obuild_return
)

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=%obuild_platform%_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF "%obuild_erase_dir_bin%" == "yes" (
  IF EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_osc_snovis_path%\%obuild_dir_bin%"
  GOTO obuild_return
)

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_platform.cpp" 1> NUL
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CERNLIB_home=/cern/pro
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET CERNLIB_home=C:\cern\pro
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Qt_home=/usr/local/Qt/4.1.4
:end_if_platform_5
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_6
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_6
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Qt_home=/afs/cern.ch/sw/contrib/Qt/4.1.4/Darwin
:end_if_platform_7
SET obuild_platform_result=
:end_if_if_build_release_sh_6
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET Qt_home=/usr/local/Qt/4.1.4
:end_if_platform_9
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_10
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_10
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc3_ia32_gcc323
:end_if_platform_11
SET obuild_platform_result=
:end_if_if_build_release_sh_10
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_12
IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_12
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc4_ia32_gcc34
:end_if_platform_13
SET obuild_platform_result=
:end_if_if_build_release_sh_12
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_15
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_16
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_16
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET Qt_home=P:\cern.ch\user\g\gybarran\software\Qt\4.1.1\win32_vc71
:end_if_platform_17
SET obuild_platform_result=
:end_if_if_build_release_sh_16
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET Python_home=/System/Library/Frameworks/Python.framework
:end_if_platform_19
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
SET Python_home=/usr/local/Python/2.4.2
:end_if_platform_21
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_22
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_22
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_23
SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc3_ia32_gcc323
:end_if_platform_23
SET obuild_platform_result=
:end_if_if_build_release_sh_22
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_24
IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_24
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc4_ia32_gcc34
:end_if_platform_25
SET obuild_platform_result=
:end_if_if_build_release_sh_24
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_27
SET Python_home=/usr/local/Python/2.3.4
:end_if_platform_27
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
SET Python_home=C:\usr\local\Python\2.4.2
:end_if_platform_29
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
SET Python_version=24
:end_if_platform_31
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_32
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_32
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET Python_home=P:\cern.ch\sw\lcg\external\Python\2.4.2\win32_vc71
:end_if_platform_33
SET obuild_platform_result=
:end_if_if_build_release_sh_32
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_34
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_34
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET Python_version=24
:end_if_platform_35
SET obuild_platform_result=
:end_if_if_build_release_sh_34
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
SET SDL_home=/Library/Frameworks/SDL.framework
:end_if_platform_37
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
SET SDL_home=/usr/local/SDL/1.2.11
:end_if_platform_39
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_40
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_40
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc3_ia32_gcc323
:end_if_platform_41
SET obuild_platform_result=
:end_if_if_build_release_sh_40
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_42
IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_42
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc4_ia32_gcc34
:end_if_platform_43
SET obuild_platform_result=
:end_if_if_build_release_sh_42
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_45
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_46
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_46
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
SET SDL_home=P:\cern.ch\sw\contrib\SDL\1.2.11\win32_vc71
:end_if_platform_47
SET obuild_platform_result=
:end_if_if_build_release_sh_46
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
SET JavaVM_home=/System/Library/Frameworks/JavaVM.framework
:end_if_platform_49
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
SET JavaVM_home=/opt/jdk1.5.0_07
:end_if_platform_51
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_53
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_53
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
:end_if_platform_55
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
SET Geant4_home=/usr/local/geant4/8.2
:end_if_platform_57
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF EXIST osc_snovis RMDIR /S /Q osc_snovis
IF NOT EXIST osc_snovis MKDIR osc_snovis
cd osc_snovis
IF NOT EXIST v1r0 MKDIR v1r0
cd v1r0
IF NOT EXIST lib MKDIR lib
IF NOT EXIST bin MKDIR bin
IF NOT EXIST Resources MKDIR Resources
IF NOT EXIST tools MKDIR tools
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_project=%%d

IF EXIST "%obuild_dir_project%\Versions" DEL "%obuild_dir_project%\Versions"
ECHO package foreign v1r0   >> "%obuild_dir_project%\Versions"
ECHO package expat v1r11p6   >> "%obuild_dir_project%\Versions"
ECHO package Slash v1r0p0   >> "%obuild_dir_project%\Versions"
ECHO package Lib v8r0   >> "%obuild_dir_project%\Versions"
ECHO package BatchLab v1r0   >> "%obuild_dir_project%\Versions"
ECHO package UseAIDA v1r0p2   >> "%obuild_dir_project%\Versions"
ECHO package osc_batch v16r0p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinGL v1r244p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinQt v1r130p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinPython v1r0   >> "%obuild_dir_project%\Versions"
ECHO package HEPVis v6r6p0   >> "%obuild_dir_project%\Versions"
ECHO package OnX v17r0   >> "%obuild_dir_project%\Versions"
ECHO package OnXLab v1r0   >> "%obuild_dir_project%\Versions"
ECHO package OpenPAW v3r0   >> "%obuild_dir_project%\Versions"
ECHO package G4Lab v8r0p0   >> "%obuild_dir_project%\Versions"
ECHO package G4Simple v2r0p0   >> "%obuild_dir_project%\Versions"
ECHO package G4Examples v1r0   >> "%obuild_dir_project%\Versions"
ECHO package snovis v1r1   >> "%obuild_dir_project%\Versions"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_58
ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
:end_if_platform_58
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_59
ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
:end_if_platform_59
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_60
ECHO foreign Qt 4.1.1   >> "%obuild_dir_project%\Versions"
:end_if_platform_60
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_61
ECHO foreign Python 2.3.5   >> "%obuild_dir_project%\Versions"
:end_if_platform_61
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_62
ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
:end_if_platform_62
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_63
ECHO foreign Python 2.3.4   >> "%obuild_dir_project%\Versions"
:end_if_platform_63
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_64
ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
:end_if_platform_64
SET obuild_platform_result=
ECHO foreign CLHEP 2.0.3.1   >> "%obuild_dir_project%\Versions"
ECHO foreign Geant4 8.2   >> "%obuild_dir_project%\Versions"

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_67
IF NOT EXIST "%Qt_home%\bin\moc.exe"  ECHO WARNNING : File %Qt_home%\bin\moc.exe not found.  && GOTO end_if_release_68
IF NOT EXIST "%obuild_dir_project%\bin" MKDIR "%obuild_dir_project%\bin"
COPY "%Qt_home%\bin\moc.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_68
:end_if_platform_67
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_69
IF NOT EXIST "%Qt_home%\osc_libs"  ECHO WARNNING : Directory %Qt_home%\osc_libs not found.  && GOTO end_if_release_70
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Qt_home%\osc_libs"\libQt* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_70
:end_if_platform_69
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_71
IF NOT EXIST "%Qt_home%\bin"  ECHO WARNNING : Directory %Qt_home%\bin not found.  && GOTO end_if_release_72
IF NOT EXIST "%obuild_dir_project%\bin\." MKDIR "%obuild_dir_project%\bin\."
XCOPY /E /Q "%Qt_home%\bin"\Qt*.dll "%obuild_dir_project%\bin\." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_72
:end_if_platform_71
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_73
IF NOT EXIST "%Python_home%\python%Python_version%.dll" GOTO end_if_copy_74
  COPY "%Python_home%\python%Python_version%.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_74
:end_if_platform_73
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_75
IF NOT EXIST "%Python_home%\Lib"  ECHO WARNNING : Directory %Python_home%\Lib not found.  && GOTO end_if_release_76
IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\Lib" MKDIR "%obuild_dir_project%\Resources\Python\.\Lib"
XCOPY /E /Q "%Python_home%\Lib" "%obuild_dir_project%\Resources\Python\.\Lib" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_76
:end_if_platform_75
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_77
IF NOT EXIST "%Python_home%\DLLs"  ECHO WARNNING : Directory %Python_home%\DLLs not found.  && GOTO end_if_release_78
IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\DLLs" MKDIR "%obuild_dir_project%\Resources\Python\.\DLLs"
XCOPY /E /Q "%Python_home%\DLLs" "%obuild_dir_project%\Resources\Python\.\DLLs" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_78
:end_if_platform_77
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_79
IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_80
IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\lib" MKDIR "%obuild_dir_project%\Resources\Python\.\lib"
XCOPY /E /Q "%Python_home%\lib" "%obuild_dir_project%\Resources\Python\.\lib" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_80
:end_if_platform_79
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_81
IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_82
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Python_home%\lib"\libpython*.so.* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_82
:end_if_platform_81
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_83
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP.dylib not found.  && GOTO end_if_release_84
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_84
:end_if_platform_83
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_85
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib not found.  && GOTO end_if_release_86
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_86
:end_if_platform_85
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_87
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP.so not found.  && GOTO end_if_release_88
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP.so" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_88
:end_if_platform_87
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_89
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.so not found.  && GOTO end_if_release_90
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_90
:end_if_platform_89
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_91
IF NOT EXIST "%CLHEP_home%\include"  ECHO WARNNING : Directory %CLHEP_home%\include not found.  && GOTO end_if_release_92
IF NOT EXIST "%obuild_dir_project%\Resources\CLHEP\.\include" MKDIR "%obuild_dir_project%\Resources\CLHEP\.\include"
XCOPY /E /Q "%CLHEP_home%\include" "%obuild_dir_project%\Resources\CLHEP\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_92
:end_if_platform_91
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_93
IF NOT EXIST "%Geant4_home%\include"  ECHO WARNNING : Directory %Geant4_home%\include not found.  && GOTO end_if_release_94
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\.\include" MKDIR "%obuild_dir_project%\Resources\Geant4\.\include"
XCOPY /E /Q "%Geant4_home%\include" "%obuild_dir_project%\Resources\Geant4\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_94
:end_if_platform_93
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_95
IF NOT EXIST "%Geant4_home%\data\G4NDL"  ECHO WARNNING : Directory %Geant4_home%\data\G4NDL not found.  && GOTO end_if_release_96
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL"
XCOPY /E /Q "%Geant4_home%\data\G4NDL" "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_96
:end_if_platform_95
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_97
IF NOT EXIST "%Geant4_home%\data\PhotonEvaporation"  ECHO WARNNING : Directory %Geant4_home%\data\PhotonEvaporation not found.  && GOTO end_if_release_98
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation"
XCOPY /E /Q "%Geant4_home%\data\PhotonEvaporation" "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_98
:end_if_platform_97
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_99
IF NOT EXIST "%Geant4_home%\data\RadioactiveDecay"  ECHO WARNNING : Directory %Geant4_home%\data\RadioactiveDecay not found.  && GOTO end_if_release_100
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay"
XCOPY /E /Q "%Geant4_home%\data\RadioactiveDecay" "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_100
:end_if_platform_99
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_101
IF NOT EXIST "%Geant4_home%\data\G4EMLOW"  ECHO WARNNING : Directory %Geant4_home%\data\G4EMLOW not found.  && GOTO end_if_release_102
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW"
XCOPY /E /Q "%Geant4_home%\data\G4EMLOW" "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_102
:end_if_platform_101
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_103
IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_104
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4run.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4event.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4track.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4global.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_104
:end_if_platform_103
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_105
IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_106
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4run.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4event.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4track.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4global.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_106
:end_if_platform_105
SET obuild_platform_result=

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_find.cpp" 1> NUL
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  foreign v1r0`) DO SET obuild_foreign_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_foreign_path  ECHO Can't find foreign package.  && GOTO obuild_return

IF NOT EXIST "%obuild_foreign_path%\..\v1r0"  ECHO WARNNING : Directory %obuild_foreign_path%\..\v1r0 not found.  && GOTO end_if_release_107
IF NOT EXIST "%obuild_dir_project%\Resources\foreign\.\v1r0" MKDIR "%obuild_dir_project%\Resources\foreign\.\v1r0"
XCOPY /E /Q "%obuild_foreign_path%\..\v1r0" "%obuild_dir_project%\Resources\foreign\.\v1r0" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_107
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\include"  ECHO WARNNING : Directory %obuild_expat_path%\include not found.  && GOTO end_if_release_109
IF NOT EXIST "%obuild_dir_project%\Resources\expat\.\include" MKDIR "%obuild_dir_project%\Resources\expat\.\include"
XCOPY /E /Q "%obuild_expat_path%\include" "%obuild_dir_project%\Resources\expat\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_109
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r0p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Slash_path%\Slash"  ECHO WARNNING : Directory %obuild_Slash_path%\Slash not found.  && GOTO end_if_release_111
IF NOT EXIST "%obuild_dir_project%\Resources\Slash\.\Slash" MKDIR "%obuild_dir_project%\Resources\Slash\.\Slash"
XCOPY /E /Q "%obuild_Slash_path%\Slash" "%obuild_dir_project%\Resources\Slash\.\Slash" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_111
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\include"  ECHO WARNNING : Directory %obuild_Lib_path%\include not found.  && GOTO end_if_release_113
IF NOT EXIST "%obuild_dir_project%\Resources\Lib\.\include" MKDIR "%obuild_dir_project%\Resources\Lib\.\include"
XCOPY /E /Q "%obuild_Lib_path%\include" "%obuild_dir_project%\Resources\Lib\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_113
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\scripts"  ECHO WARNNING : Directory %obuild_BatchLab_path%\scripts not found.  && GOTO end_if_release_115
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\scripts" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\scripts"
XCOPY /E /Q "%obuild_BatchLab_path%\scripts" "%obuild_dir_project%\Resources\BatchLab\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_115
IF NOT EXIST "%obuild_BatchLab_path%\examples"  ECHO WARNNING : Directory %obuild_BatchLab_path%\examples not found.  && GOTO end_if_release_117
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\examples" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\examples"
XCOPY /E /Q "%obuild_BatchLab_path%\examples" "%obuild_dir_project%\Resources\BatchLab\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_117
IF NOT EXIST "%obuild_BatchLab_path%\BatchLab"  ECHO WARNNING : Directory %obuild_BatchLab_path%\BatchLab not found.  && GOTO end_if_release_119
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\BatchLab" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\BatchLab"
XCOPY /E /Q "%obuild_BatchLab_path%\BatchLab" "%obuild_dir_project%\Resources\BatchLab\.\BatchLab" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_119
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\examples\data"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\examples\data not found.  && GOTO end_if_release_121
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\examples\.\data" MKDIR "%obuild_dir_project%\Resources\AIDA\examples\.\data"
XCOPY /E /Q "%obuild_UseAIDA_path%\examples\data" "%obuild_dir_project%\Resources\AIDA\examples\.\data" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_121
IF NOT EXIST "%obuild_UseAIDA_path%\examples\cpp"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\examples\cpp not found.  && GOTO end_if_release_123
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\examples\.\cpp" MKDIR "%obuild_dir_project%\Resources\AIDA\examples\.\cpp"
XCOPY /E /Q "%obuild_UseAIDA_path%\examples\cpp" "%obuild_dir_project%\Resources\AIDA\examples\.\cpp" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_123
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  osc_batch v16r0p0`) DO SET obuild_osc_batch_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_osc_batch_path  ECHO Can't find osc_batch package.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_125
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\setup.csh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\setup.csh not found.  && GOTO end_if_release_126
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\setup.csh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_126
:end_if_platform_125
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_127
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\setup.sh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\setup.sh not found.  && GOTO end_if_release_128
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\setup.sh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_128
:end_if_platform_127
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_129
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.csh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.csh not found.  && GOTO end_if_release_130
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.csh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_130
:end_if_platform_129
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_131
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.sh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.sh not found.  && GOTO end_if_release_132
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.sh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_132
:end_if_platform_131
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_133
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\install"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\install not found.  && GOTO end_if_release_134
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\install" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_134
:end_if_platform_133
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_135
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\README"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\README not found.  && GOTO end_if_release_136
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\README" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_136
:end_if_platform_135
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_137
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-build-example"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-build-example not found.  && GOTO end_if_release_138
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-build-example" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_138
:end_if_platform_137
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_139
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-run-all-examples"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-run-all-examples not found.  && GOTO end_if_release_140
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-run-all-examples" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_140
:end_if_platform_139
SET obuild_platform_result=
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\License"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\License not found.  && GOTO end_if_release_142
COPY "%obuild_osc_batch_path%\obuild\release\License" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_142
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_143
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\setup.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\setup.bat not found.  && GOTO end_if_release_144
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\setup.bat" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_144
:end_if_platform_143
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_145
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-setup.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\aida-setup.bat not found.  && GOTO end_if_release_146
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-setup.bat" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_146
:end_if_platform_145
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_147
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\README"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\README not found.  && GOTO end_if_release_148
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\README" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_148
:end_if_platform_147
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_149
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-build-example.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\aida-build-example.bat not found.  && GOTO end_if_release_150
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-build-example.bat" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_150
:end_if_platform_149
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_151
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-run-all-examples.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\aida-run-all-examples.bat not found.  && GOTO end_if_release_152
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-run-all-examples.bat" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_152
:end_if_platform_151
SET obuild_platform_result=
IF NOT EXIST "%obuild_osc_batch_path%\..\..\AIDA\v3r2p1\src\cpp\AIDA"  ECHO WARNNING : Directory %obuild_osc_batch_path%\..\..\AIDA\v3r2p1\src\cpp\AIDA not found.  && GOTO end_if_release_153
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA" MKDIR "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA"
XCOPY /E /Q "%obuild_osc_batch_path%\..\..\AIDA\v3r2p1\src\cpp\AIDA" "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_153
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\include"  ECHO WARNNING : Directory %obuild_CoinGL_path%\include not found.  && GOTO end_if_release_155
IF NOT EXIST "%obuild_dir_project%\Resources\CoinGL\.\include" MKDIR "%obuild_dir_project%\Resources\CoinGL\.\include"
XCOPY /E /Q "%obuild_CoinGL_path%\include" "%obuild_dir_project%\Resources\CoinGL\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_155
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinPython_path%\scripts"  ECHO WARNNING : Directory %obuild_CoinPython_path%\scripts not found.  && GOTO end_if_release_157
IF NOT EXIST "%obuild_dir_project%\Resources\CoinPython\.\scripts" MKDIR "%obuild_dir_project%\Resources\CoinPython\.\scripts"
XCOPY /E /Q "%obuild_CoinPython_path%\scripts" "%obuild_dir_project%\Resources\CoinPython\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_157
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\scripts"  ECHO WARNNING : Directory %obuild_HEPVis_path%\scripts not found.  && GOTO end_if_release_159
IF NOT EXIST "%obuild_dir_project%\Resources\HEPVis\.\scripts" MKDIR "%obuild_dir_project%\Resources\HEPVis\.\scripts"
XCOPY /E /Q "%obuild_HEPVis_path%\scripts" "%obuild_dir_project%\Resources\HEPVis\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_159
IF NOT EXIST "%obuild_HEPVis_path%\fonts"  ECHO WARNNING : Directory %obuild_HEPVis_path%\fonts not found.  && GOTO end_if_release_161
IF NOT EXIST "%obuild_dir_project%\Resources\HEPVis\.\fonts" MKDIR "%obuild_dir_project%\Resources\HEPVis\.\fonts"
XCOPY /E /Q "%obuild_HEPVis_path%\fonts" "%obuild_dir_project%\Resources\HEPVis\.\fonts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_161
IF NOT EXIST "%obuild_HEPVis_path%\include"  ECHO WARNNING : Directory %obuild_HEPVis_path%\include not found.  && GOTO end_if_release_163
IF NOT EXIST "%obuild_dir_project%\Resources\HEPVis\.\include" MKDIR "%obuild_dir_project%\Resources\HEPVis\.\include"
XCOPY /E /Q "%obuild_HEPVis_path%\include" "%obuild_dir_project%\Resources\HEPVis\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_163
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\scripts"  ECHO WARNNING : Directory %obuild_OnX_path%\scripts not found.  && GOTO end_if_release_165
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\scripts" MKDIR "%obuild_dir_project%\Resources\OnX\.\scripts"
XCOPY /E /Q "%obuild_OnX_path%\scripts" "%obuild_dir_project%\Resources\OnX\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_165
IF NOT EXIST "%obuild_OnX_path%\examples"  ECHO WARNNING : Directory %obuild_OnX_path%\examples not found.  && GOTO end_if_release_167
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\examples" MKDIR "%obuild_dir_project%\Resources\OnX\.\examples"
XCOPY /E /Q "%obuild_OnX_path%\examples" "%obuild_dir_project%\Resources\OnX\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_167
IF NOT EXIST "%obuild_OnX_path%\include"  ECHO WARNNING : Directory %obuild_OnX_path%\include not found.  && GOTO end_if_release_169
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\include" MKDIR "%obuild_dir_project%\Resources\OnX\.\include"
XCOPY /E /Q "%obuild_OnX_path%\include" "%obuild_dir_project%\Resources\OnX\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_169
IF NOT EXIST "%obuild_OnX_path%\templates"  ECHO WARNNING : Directory %obuild_OnX_path%\templates not found.  && GOTO end_if_release_171
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\templates" MKDIR "%obuild_dir_project%\Resources\OnX\.\templates"
XCOPY /E /Q "%obuild_OnX_path%\templates" "%obuild_dir_project%\Resources\OnX\.\templates" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_171
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\scripts"  ECHO WARNNING : Directory %obuild_OnXLab_path%\scripts not found.  && GOTO end_if_release_173
IF NOT EXIST "%obuild_dir_project%\Resources\OnXLab\.\scripts" MKDIR "%obuild_dir_project%\Resources\OnXLab\.\scripts"
XCOPY /E /Q "%obuild_OnXLab_path%\scripts" "%obuild_dir_project%\Resources\OnXLab\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_173
IF NOT EXIST "%obuild_OnXLab_path%\examples"  ECHO WARNNING : Directory %obuild_OnXLab_path%\examples not found.  && GOTO end_if_release_175
IF NOT EXIST "%obuild_dir_project%\Resources\OnXLab\.\examples" MKDIR "%obuild_dir_project%\Resources\OnXLab\.\examples"
XCOPY /E /Q "%obuild_OnXLab_path%\examples" "%obuild_dir_project%\Resources\OnXLab\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_175
IF NOT EXIST "%obuild_OnXLab_path%\OnXLab"  ECHO WARNNING : Directory %obuild_OnXLab_path%\OnXLab not found.  && GOTO end_if_release_177
IF NOT EXIST "%obuild_dir_project%\Resources\OnXLab\.\OnXLab" MKDIR "%obuild_dir_project%\Resources\OnXLab\.\OnXLab"
XCOPY /E /Q "%obuild_OnXLab_path%\OnXLab" "%obuild_dir_project%\Resources\OnXLab\.\OnXLab" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_177
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_180
IF NOT EXIST "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_onx.app"  ECHO WARNNING : Directory %obuild_OnXLab_path%\Darwin_obuild\OnXLab_onx.app not found.  && GOTO end_if_release_179
IF NOT EXIST "%obuild_dir_project%\..\..\.\OnXLab_onx.app" MKDIR "%obuild_dir_project%\..\..\.\OnXLab_onx.app"
XCOPY /E /Q "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_onx.app" "%obuild_dir_project%\..\..\.\OnXLab_onx.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_179
:end_if_platform_180
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_182
IF NOT EXIST "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_oqt.app"  ECHO WARNNING : Directory %obuild_OnXLab_path%\Darwin_obuild\OnXLab_oqt.app not found.  && GOTO end_if_release_181
IF NOT EXIST "%obuild_dir_project%\..\..\.\OnXLab_oqt.app" MKDIR "%obuild_dir_project%\..\..\.\OnXLab_oqt.app"
XCOPY /E /Q "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_oqt.app" "%obuild_dir_project%\..\..\.\OnXLab_oqt.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_181
:end_if_platform_182
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OpenPAW_path%\scripts"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\scripts not found.  && GOTO end_if_release_183
IF NOT EXIST "%obuild_dir_project%\Resources\OpenPAW\.\scripts" MKDIR "%obuild_dir_project%\Resources\OpenPAW\.\scripts"
XCOPY /E /Q "%obuild_OpenPAW_path%\scripts" "%obuild_dir_project%\Resources\OpenPAW\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_183
IF NOT EXIST "%obuild_OpenPAW_path%\examples"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\examples not found.  && GOTO end_if_release_185
IF NOT EXIST "%obuild_dir_project%\Resources\OpenPAW\.\examples" MKDIR "%obuild_dir_project%\Resources\OpenPAW\.\examples"
XCOPY /E /Q "%obuild_OpenPAW_path%\examples" "%obuild_dir_project%\Resources\OpenPAW\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_185
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_188
IF NOT EXIST "%obuild_OpenPAW_path%\Darwin_obuild\OpenPAW_opaw.app"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\Darwin_obuild\OpenPAW_opaw.app not found.  && GOTO end_if_release_187
IF NOT EXIST "%obuild_dir_project%\..\..\.\OpenPAW_opaw.app" MKDIR "%obuild_dir_project%\..\..\.\OpenPAW_opaw.app"
XCOPY /E /Q "%obuild_OpenPAW_path%\Darwin_obuild\OpenPAW_opaw.app" "%obuild_dir_project%\..\..\.\OpenPAW_opaw.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_187
:end_if_platform_188
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\scripts"  ECHO WARNNING : Directory %obuild_G4Lab_path%\scripts not found.  && GOTO end_if_release_189
IF NOT EXIST "%obuild_dir_project%\Resources\G4Lab\.\scripts" MKDIR "%obuild_dir_project%\Resources\G4Lab\.\scripts"
XCOPY /E /Q "%obuild_G4Lab_path%\scripts" "%obuild_dir_project%\Resources\G4Lab\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_189
IF NOT EXIST "%obuild_G4Lab_path%\include"  ECHO WARNNING : Directory %obuild_G4Lab_path%\include not found.  && GOTO end_if_release_191
IF NOT EXIST "%obuild_dir_project%\Resources\G4Lab\.\include" MKDIR "%obuild_dir_project%\Resources\G4Lab\.\include"
XCOPY /E /Q "%obuild_G4Lab_path%\include" "%obuild_dir_project%\Resources\G4Lab\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_191
IF NOT EXIST "%obuild_G4Lab_path%\templates"  ECHO WARNNING : Directory %obuild_G4Lab_path%\templates not found.  && GOTO end_if_release_193
IF NOT EXIST "%obuild_dir_project%\Resources\G4Lab\.\templates" MKDIR "%obuild_dir_project%\Resources\G4Lab\.\templates"
XCOPY /E /Q "%obuild_G4Lab_path%\templates" "%obuild_dir_project%\Resources\G4Lab\.\templates" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_193
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\scripts"  ECHO WARNNING : Directory %obuild_G4Simple_path%\scripts not found.  && GOTO end_if_release_195
IF NOT EXIST "%obuild_dir_project%\Resources\G4Simple\.\scripts" MKDIR "%obuild_dir_project%\Resources\G4Simple\.\scripts"
XCOPY /E /Q "%obuild_G4Simple_path%\scripts" "%obuild_dir_project%\Resources\G4Simple\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_195
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\scripts"  ECHO WARNNING : Directory %obuild_G4Examples_path%\scripts not found.  && GOTO end_if_release_197
IF NOT EXIST "%obuild_dir_project%\Resources\G4Examples\.\scripts" MKDIR "%obuild_dir_project%\Resources\G4Examples\.\scripts"
XCOPY /E /Q "%obuild_G4Examples_path%\scripts" "%obuild_dir_project%\Resources\G4Examples\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_197
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_199
IF NOT EXIST "%obuild_dir_project%\Resources\snovis\.\scripts" MKDIR "%obuild_dir_project%\Resources\snovis\.\scripts"
XCOPY /E /Q "%obuild_snovis_path%\scripts" "%obuild_dir_project%\Resources\snovis\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_199
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_202
IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_201
IF NOT EXIST "%obuild_dir_project%\.\snovis_session.app" MKDIR "%obuild_dir_project%\.\snovis_session.app"
XCOPY /E /Q "%obuild_snovis_path%\Darwin_obuild\snovis_session.app" "%obuild_dir_project%\.\snovis_session.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_201
:end_if_platform_202
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_203
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.lib" GOTO end_if_copy_204
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_204
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.dll" GOTO end_if_copy_205
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_205
:end_if_release_203
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_206
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib" GOTO end_if_copy_207
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_207
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.dll" GOTO end_if_copy_208
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_208
:end_if_release_206
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_209
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib" GOTO end_if_copy_210
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_210
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.dll" GOTO end_if_copy_211
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_211
:end_if_release_209
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_212
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib" GOTO end_if_copy_213
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_213
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.dll" GOTO end_if_copy_214
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_214
:end_if_release_212
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_215
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib" GOTO end_if_copy_216
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_216
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.dll" GOTO end_if_copy_217
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_217
:end_if_release_215
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_218
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.lib" GOTO end_if_copy_219
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_219
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.dll" GOTO end_if_copy_220
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_220
:end_if_release_218
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_221
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.lib" GOTO end_if_copy_222
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_222
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.dll" GOTO end_if_copy_223
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_223
:end_if_release_221
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p0`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_224
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.lib" GOTO end_if_copy_225
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_225
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.dll" GOTO end_if_copy_226
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_226
:end_if_release_224
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_227
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.lib" GOTO end_if_copy_228
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_228
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.dll" GOTO end_if_copy_229
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_229
:end_if_release_227
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_230
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio.lib" GOTO end_if_copy_231
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_231
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio.dll" GOTO end_if_copy_232
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_232
:end_if_release_230
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p2`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_233
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib" GOTO end_if_copy_234
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_234
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.dll" GOTO end_if_copy_235
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_235
:end_if_release_233
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_236
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.lib" GOTO end_if_copy_237
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_237
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.dll" GOTO end_if_copy_238
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_238
:end_if_release_236
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_239
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.lib" GOTO end_if_copy_240
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_240
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.dll" GOTO end_if_copy_241
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_241
:end_if_release_239
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_242
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.lib" GOTO end_if_copy_243
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_243
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.dll" GOTO end_if_copy_244
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_244
:end_if_release_242
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r62p1`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return

IF NOT EXIST "%obuild_jpeg_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_jpeg_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_245
IF NOT EXIST "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.lib" GOTO end_if_copy_246
  COPY "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_246
IF NOT EXIST "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.dll" GOTO end_if_copy_247
  COPY "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_247
:end_if_release_245
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_248
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.lib" GOTO end_if_copy_249
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_249
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.dll" GOTO end_if_copy_250
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_250
:end_if_release_248
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r219p0`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_freetype2_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_251
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.lib" GOTO end_if_copy_252
  COPY "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_252
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.dll" GOTO end_if_copy_253
  COPY "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_253
:end_if_release_251
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinGL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_254
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.lib" GOTO end_if_copy_255
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_255
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.dll" GOTO end_if_copy_256
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_256
:end_if_release_254
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinWin_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_257
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.lib" GOTO end_if_copy_258
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_258
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.dll" GOTO end_if_copy_259
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_259
:end_if_release_257
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_260
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.lib" GOTO end_if_copy_261
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_261
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.dll" GOTO end_if_copy_262
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_262
:end_if_release_260
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_263
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.lib" GOTO end_if_copy_264
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_264
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.dll" GOTO end_if_copy_265
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_265
:end_if_release_263
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_266
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.lib" GOTO end_if_copy_267
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_267
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.dll" GOTO end_if_copy_268
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_268
:end_if_release_266
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_269
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.lib" GOTO end_if_copy_270
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_270
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.dll" GOTO end_if_copy_271
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_271
:end_if_release_269
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_272
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.lib" GOTO end_if_copy_273
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_273
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.dll" GOTO end_if_copy_274
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_274
:end_if_release_272
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_275
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.lib" GOTO end_if_copy_276
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_276
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.dll" GOTO end_if_copy_277
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_277
:end_if_release_275
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_278
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.lib" GOTO end_if_copy_279
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_279
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.dll" GOTO end_if_copy_280
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_280
:end_if_release_278
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_281
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.lib" GOTO end_if_copy_282
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_282
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.dll" GOTO end_if_copy_283
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_283
:end_if_release_281
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_284
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.lib" GOTO end_if_copy_285
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_285
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.dll" GOTO end_if_copy_286
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_286
:end_if_release_284
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_287
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.lib" GOTO end_if_copy_288
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_288
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.dll" GOTO end_if_copy_289
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_289
:end_if_release_287
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_290
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.lib" GOTO end_if_copy_291
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_291
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.dll" GOTO end_if_copy_292
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_292
:end_if_release_290
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_293
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.lib" GOTO end_if_copy_294
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_294
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.dll" GOTO end_if_copy_295
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_295
:end_if_release_293
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_296
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.lib" GOTO end_if_copy_297
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_297
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.dll" GOTO end_if_copy_298
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_298
:end_if_release_296
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_299
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.lib" GOTO end_if_copy_300
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_300
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.dll" GOTO end_if_copy_301
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_301
:end_if_release_299
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_302
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.lib" GOTO end_if_copy_303
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_303
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.dll" GOTO end_if_copy_304
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_304
:end_if_release_302
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_305
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.lib" GOTO end_if_copy_306
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_306
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.dll" GOTO end_if_copy_307
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_307
:end_if_release_305
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_308
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.lib" GOTO end_if_copy_309
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_309
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.dll" GOTO end_if_copy_310
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_310
:end_if_release_308
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_311
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.lib" GOTO end_if_copy_312
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_312
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.dll" GOTO end_if_copy_313
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_313
:end_if_release_311
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_314
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.lib" GOTO end_if_copy_315
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_315
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.dll" GOTO end_if_copy_316
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_316
:end_if_release_314
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_317
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_318
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_318
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_319
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_319
:end_if_release_317
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_320
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_321
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_321
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_322
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_322
:end_if_release_320
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_323
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.lib" GOTO end_if_copy_324
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_324
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.dll" GOTO end_if_copy_325
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_325
:end_if_release_323
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_326
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.lib" GOTO end_if_copy_327
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_327
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.dll" GOTO end_if_copy_328
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_328
:end_if_release_326
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_329
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.lib" GOTO end_if_copy_330
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_330
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.dll" GOTO end_if_copy_331
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_331
:end_if_release_329
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_332
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.lib" GOTO end_if_copy_333
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_333
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.dll" GOTO end_if_copy_334
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_334
:end_if_release_332
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_335
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.lib" GOTO end_if_copy_336
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_336
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.dll" GOTO end_if_copy_337
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_337
:end_if_release_335
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_338
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.lib" GOTO end_if_copy_339
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_339
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.dll" GOTO end_if_copy_340
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_340
:end_if_release_338
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_341
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.lib" GOTO end_if_copy_342
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_342
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.dll" GOTO end_if_copy_343
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_343
:end_if_release_341
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_344
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.lib" GOTO end_if_copy_345
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_345
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.dll" GOTO end_if_copy_346
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_346
:end_if_release_344
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_347
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.lib" GOTO end_if_copy_348
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_348
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.dll" GOTO end_if_copy_349
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_349
:end_if_release_347
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_350
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.lib" GOTO end_if_copy_351
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_351
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.dll" GOTO end_if_copy_352
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_352
:end_if_release_350

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_353
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" GOTO end_if_copy_354
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_354
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" GOTO end_if_copy_355
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_355
:end_if_release_353
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_356
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" GOTO end_if_copy_357
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_357
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" GOTO end_if_copy_358
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_358
:end_if_release_356
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_359
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" GOTO end_if_copy_360
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_360
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" GOTO end_if_copy_361
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_361
:end_if_release_359
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_362
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" GOTO end_if_copy_363
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_363
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" GOTO end_if_copy_364
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_364
:end_if_release_362
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_365
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" GOTO end_if_copy_366
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_366
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" GOTO end_if_copy_367
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_367
:end_if_release_365
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_368
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" GOTO end_if_copy_369
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_369
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" GOTO end_if_copy_370
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_370
:end_if_release_368
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinPython_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_371
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" GOTO end_if_copy_372
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_372
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" GOTO end_if_copy_373
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_373
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" GOTO end_if_copy_374
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_374
:end_if_release_371
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_375
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" GOTO end_if_copy_376
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_376
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" GOTO end_if_copy_377
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_377
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" GOTO end_if_copy_378
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_378
:end_if_release_375
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_379
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" GOTO end_if_copy_380
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_380
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" GOTO end_if_copy_381
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_381
:end_if_release_379
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_382
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" GOTO end_if_copy_383
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_383
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" GOTO end_if_copy_384
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_384
:end_if_release_382
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_385
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" GOTO end_if_copy_386
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_386
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" GOTO end_if_copy_387
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_387
:end_if_release_385
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_388
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" GOTO end_if_copy_389
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_389
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" GOTO end_if_copy_390
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_390
:end_if_release_388
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_391
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" GOTO end_if_copy_392
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_392
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" GOTO end_if_copy_393
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_393
:end_if_release_391
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_394
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" GOTO end_if_copy_395
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_395
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" GOTO end_if_copy_396
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_396
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" GOTO end_if_copy_397
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_397
:end_if_release_394
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_398
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" GOTO end_if_copy_399
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_399
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" GOTO end_if_copy_400
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_400
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" GOTO end_if_copy_401
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_401
:end_if_release_398
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_402
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" GOTO end_if_copy_403
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_403
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" GOTO end_if_copy_404
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_404
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" GOTO end_if_copy_405
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_405
:end_if_release_402
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_406
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" GOTO end_if_copy_407
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_407
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" GOTO end_if_copy_408
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_408
:end_if_release_406
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_409
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" GOTO end_if_copy_410
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_410
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" GOTO end_if_copy_411
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_411
:end_if_release_409
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_412
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" GOTO end_if_copy_413
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_413
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" GOTO end_if_copy_414
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_414
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" GOTO end_if_copy_415
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_415
:end_if_release_412
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_416
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" GOTO end_if_copy_417
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_417
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" GOTO end_if_copy_418
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_418
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" GOTO end_if_copy_419
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_419
:end_if_release_416
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_420
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" GOTO end_if_copy_421
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_421
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" GOTO end_if_copy_422
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_422
:end_if_release_420
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_423
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" GOTO end_if_copy_424
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_424
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" GOTO end_if_copy_425
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_425
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" GOTO end_if_copy_426
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_426
:end_if_release_423
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_427
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" GOTO end_if_copy_428
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_428
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" GOTO end_if_copy_429
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_429
:end_if_release_427
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_430
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" GOTO end_if_copy_431
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_431
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" GOTO end_if_copy_432
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_432
:end_if_release_430
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_433
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" GOTO end_if_copy_434
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_434
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" GOTO end_if_copy_435
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_435
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" GOTO end_if_copy_436
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_436
:end_if_release_433
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_437
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" GOTO end_if_copy_438
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_438
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" GOTO end_if_copy_439
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_439
:end_if_release_437
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_440
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" GOTO end_if_copy_441
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_441
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" GOTO end_if_copy_442
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_442
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" GOTO end_if_copy_443
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_443
:end_if_release_440
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_444
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" GOTO end_if_copy_445
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_445
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" GOTO end_if_copy_446
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_446
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" GOTO end_if_copy_447
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_447
:end_if_release_444
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_448
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" GOTO end_if_copy_449
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_449
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" GOTO end_if_copy_450
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_450
:end_if_release_448
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_451
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_452
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_452
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_453
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_453
:end_if_release_451
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_454
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" GOTO end_if_copy_455
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_455
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" GOTO end_if_copy_456
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_456
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" GOTO end_if_copy_457
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_457
:end_if_release_454
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_458
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" GOTO end_if_copy_459
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_459
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" GOTO end_if_copy_460
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_460
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" GOTO end_if_copy_461
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_461
:end_if_release_458
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_462
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" GOTO end_if_copy_463
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_463
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" GOTO end_if_copy_464
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_464
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" GOTO end_if_copy_465
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_465
:end_if_release_462
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_466
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" GOTO end_if_copy_467
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_467
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" GOTO end_if_copy_468
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_468
:end_if_release_466
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_469
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" GOTO end_if_copy_470
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_470
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" GOTO end_if_copy_471
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_471
:end_if_release_469
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_472
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" GOTO end_if_copy_473
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_473
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" GOTO end_if_copy_474
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_474
:end_if_release_472
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_475
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_476
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_476
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_477
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_477
:end_if_release_475

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_478
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" GOTO end_if_copy_479
  COPY "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_479
:end_if_release_478
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_480
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" GOTO end_if_copy_481
  COPY "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_481
:end_if_release_480
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_482
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" GOTO end_if_copy_483
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_483
:end_if_release_482
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_484
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" GOTO end_if_copy_485
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_485
:end_if_release_484
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_486
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" GOTO end_if_copy_487
  COPY "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_487
:end_if_release_486
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_488
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" GOTO end_if_copy_489
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_489
:end_if_release_488
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_490
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" GOTO end_if_copy_491
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_491
:end_if_release_490
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_492
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" GOTO end_if_copy_493
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_493
:end_if_release_492
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_494
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" GOTO end_if_copy_495
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_495
:end_if_release_494
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_496
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_subs.exe" GOTO end_if_copy_497
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_subs.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_497
:end_if_release_496
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_498
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_run.exe" GOTO end_if_copy_499
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_run.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_499
:end_if_release_498
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_500
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_clone.exe" GOTO end_if_copy_501
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_clone.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_501
:end_if_release_500
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_502
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_upgrade.exe" GOTO end_if_copy_503
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_upgrade.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_503
:end_if_release_502
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_504
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_find.exe" GOTO end_if_copy_505
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_find.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_505
:end_if_release_504
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_506
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_wrap.exe" GOTO end_if_copy_507
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_wrap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_507
:end_if_release_506
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_508
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_dld.exe" GOTO end_if_copy_509
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_dld.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_509
:end_if_release_508
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_510
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_cxx.exe" GOTO end_if_copy_511
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_cxx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_511
:end_if_release_510
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_512
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exe" GOTO end_if_copy_513
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_513
:end_if_release_512
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_514
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_STL.exe" GOTO end_if_copy_515
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_STL.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_515
:end_if_release_514
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_516
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_accessorManager.exe" GOTO end_if_copy_517
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_accessorManager.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_517
:end_if_release_516
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_518
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_array.exe" GOTO end_if_copy_519
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_array.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_519
:end_if_release_518
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_520
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_colormanip.exe" GOTO end_if_copy_521
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_colormanip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_521
:end_if_release_520
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_522
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_columns.exe" GOTO end_if_copy_523
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_columns.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_523
:end_if_release_522
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_524
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_contour.exe" GOTO end_if_copy_525
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_contour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_525
:end_if_release_524
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_526
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_debug.exe" GOTO end_if_copy_527
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_debug.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_527
:end_if_release_526
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_528
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_dirmanip.exe" GOTO end_if_copy_529
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_dirmanip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_529
:end_if_release_528
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_530
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_extern.exe" GOTO end_if_copy_531
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_extern.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_531
:end_if_release_530
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_532
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_fortran_format.exe" GOTO end_if_copy_533
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_fortran_format.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_533
:end_if_release_532
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_534
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functionManager.exe" GOTO end_if_copy_535
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functionManager.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_535
:end_if_release_534
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_536
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functions.exe" GOTO end_if_copy_537
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functions.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_537
:end_if_release_536
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_538
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_home.exe" GOTO end_if_copy_539
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_home.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_539
:end_if_release_538
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_540
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_parameters.exe" GOTO end_if_copy_541
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_parameters.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_541
:end_if_release_540
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_542
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_paw_set_opt.exe" GOTO end_if_copy_543
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_paw_set_opt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_543
:end_if_release_542
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_544
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_prime.exe" GOTO end_if_copy_545
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_prime.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_545
:end_if_release_544
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_546
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_processor.exe" GOTO end_if_copy_547
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_processor.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_547
:end_if_release_546
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_548
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_rio_sinfo.exe" GOTO end_if_copy_549
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_rio_sinfo.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_549
:end_if_release_548
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_550
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_smanip.exe" GOTO end_if_copy_551
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_smanip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_551
:end_if_release_550
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_552
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_symbolic.exe" GOTO end_if_copy_553
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_symbolic.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_553
:end_if_release_552
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_554
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_args.exe" GOTO end_if_copy_555
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_args.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_555
:end_if_release_554
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_556
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_algebra.exe" GOTO end_if_copy_557
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_algebra.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_557
:end_if_release_556
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_558
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" GOTO end_if_copy_559
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_559
:end_if_release_558
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_560
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" GOTO end_if_copy_561
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_561
:end_if_release_560
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_562
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" GOTO end_if_copy_563
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_563
:end_if_release_562
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_564
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" GOTO end_if_copy_565
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_565
:end_if_release_564
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_566
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" GOTO end_if_copy_567
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_567
:end_if_release_566
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_568
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" GOTO end_if_copy_569
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_569
:end_if_release_568
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_570
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" GOTO end_if_copy_571
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_571
:end_if_release_570
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_572
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" GOTO end_if_copy_573
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_573
:end_if_release_572
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p0`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_574
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" GOTO end_if_copy_575
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_575
:end_if_release_574
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_576
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" GOTO end_if_copy_577
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_577
:end_if_release_576
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_578
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" GOTO end_if_copy_579
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_579
:end_if_release_578
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_580
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" GOTO end_if_copy_581
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_581
:end_if_release_580
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_582
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" GOTO end_if_copy_583
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_583
:end_if_release_582
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_584
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" GOTO end_if_copy_585
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_585
:end_if_release_584
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_586
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" GOTO end_if_copy_587
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_587
:end_if_release_586
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_588
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" GOTO end_if_copy_589
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_589
:end_if_release_588
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_590
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" GOTO end_if_copy_591
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_591
:end_if_release_590
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_592
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" GOTO end_if_copy_593
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_593
:end_if_release_592
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_594
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" GOTO end_if_copy_595
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_595
:end_if_release_594
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_596
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" GOTO end_if_copy_597
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_597
:end_if_release_596
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_598
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" GOTO end_if_copy_599
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_599
:end_if_release_598
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_600
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" GOTO end_if_copy_601
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_601
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\rio.exe" GOTO end_if_copy_602
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_602
:end_if_release_600
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_603
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" GOTO end_if_copy_604
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_604
:end_if_release_603
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_605
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" GOTO end_if_copy_606
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_606
:end_if_release_605
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_607
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" GOTO end_if_copy_608
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_608
:end_if_release_607
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p2`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_609
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" GOTO end_if_copy_610
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_610
:end_if_release_609
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_611
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_aida_config.exe" GOTO end_if_copy_612
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_612
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_613
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_613
:end_if_release_611
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_614
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.exe" GOTO end_if_copy_615
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_615
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.save" GOTO end_if_copy_616
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_616
:end_if_release_614
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_617
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml.exe" GOTO end_if_copy_618
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_618
:end_if_release_617
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_619
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml2fs.exe" GOTO end_if_copy_620
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml2fs.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_620
:end_if_release_619
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_621
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_store.exe" GOTO end_if_copy_622
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_622
:end_if_release_621
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_623
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_functions.exe" GOTO end_if_copy_624
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_functions.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_624
:end_if_release_623
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_625
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_analysis.exe" GOTO end_if_copy_626
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_analysis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_626
:end_if_release_625
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_627
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_b1.exe" GOTO end_if_copy_628
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_b1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_628
:end_if_release_627
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_629
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_hippo.exe" GOTO end_if_copy_630
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_hippo.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_630
:end_if_release_629
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_631
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_jec.exe" GOTO end_if_copy_632
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_632
:end_if_release_631
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_633
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_cloud.exe" GOTO end_if_copy_634
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_cloud.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_634
:end_if_release_633
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_635
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_write.exe" GOTO end_if_copy_636
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_write.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_636
:end_if_release_635
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_637
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_read.exe" GOTO end_if_copy_638
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_read.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_638
:end_if_release_637
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_639
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_tuple.exe" GOTO end_if_copy_640
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_640
:end_if_release_639
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_641
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_Rio.exe" GOTO end_if_copy_642
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_Rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_642
:end_if_release_641
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_643
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_HDF5.exe" GOTO end_if_copy_644
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_HDF5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_644
:end_if_release_643
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_645
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample.exe" GOTO end_if_copy_646
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_646
:end_if_release_645
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_647
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud.exe" GOTO end_if_copy_648
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_648
:end_if_release_647
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_649
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate.exe" GOTO end_if_copy_650
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_650
:end_if_release_649
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_651
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill.exe" GOTO end_if_copy_652
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_652
:end_if_release_651
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_653
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample.exe" GOTO end_if_copy_654
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_654
:end_if_release_653
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_655
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram.exe" GOTO end_if_copy_656
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_656
:end_if_release_655
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_657
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic.exe" GOTO end_if_copy_658
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_658
:end_if_release_657
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_659
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample.exe" GOTO end_if_copy_660
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_660
:end_if_release_659
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_661
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles.exe" GOTO end_if_copy_662
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_662
:end_if_release_661
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_663
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate.exe" GOTO end_if_copy_664
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_664
:end_if_release_663
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_665
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill.exe" GOTO end_if_copy_666
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_666
:end_if_release_665
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_667
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree.exe" GOTO end_if_copy_668
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_668
:end_if_release_667
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_669
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple.exe" GOTO end_if_copy_670
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_670
:end_if_release_669
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_671
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate.exe" GOTO end_if_copy_672
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_672
:end_if_release_671
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_673
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure.exe" GOTO end_if_copy_674
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_674
:end_if_release_673
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_675
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData.exe" GOTO end_if_copy_676
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_676
:end_if_release_675
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_677
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Store.exe" GOTO end_if_copy_678
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_678
:end_if_release_677
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_679
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore.exe" GOTO end_if_copy_680
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_680
:end_if_release_679
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_681
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram.exe" GOTO end_if_copy_682
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_682
:end_if_release_681
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_683
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit.exe" GOTO end_if_copy_684
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_684
:end_if_release_683
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_685
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet.exe" GOTO end_if_copy_686
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_686
:end_if_release_685
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_687
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample.exe" GOTO end_if_copy_688
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_688
:end_if_release_687
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_689
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot.exe" GOTO end_if_copy_690
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_690
:end_if_release_689
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_691
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour.exe" GOTO end_if_copy_692
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_692
:end_if_release_691
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_693
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit.exe" GOTO end_if_copy_694
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_694
:end_if_release_693
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_695
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1.exe" GOTO end_if_copy_696
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_696
:end_if_release_695
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_697
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2.exe" GOTO end_if_copy_698
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_698
:end_if_release_697
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_699
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3.exe" GOTO end_if_copy_700
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_700
:end_if_release_699
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_701
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4.exe" GOTO end_if_copy_702
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_702
:end_if_release_701
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_703
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5.exe" GOTO end_if_copy_704
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_704
:end_if_release_703
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_705
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6.exe" GOTO end_if_copy_706
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_706
:end_if_release_705
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_707
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7.exe" GOTO end_if_copy_708
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_708
:end_if_release_707
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_709
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8.exe" GOTO end_if_copy_710
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_710
:end_if_release_709
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_711
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11.exe" GOTO end_if_copy_712
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_712
:end_if_release_711
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_713
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DynamicLoad.exe" GOTO end_if_copy_714
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DynamicLoad.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_714
:end_if_release_713
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_715
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_jec.exe" GOTO end_if_copy_716
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_716
:end_if_release_715
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_717
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_rmason.exe" GOTO end_if_copy_718
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_rmason.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_718
:end_if_release_717
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_719
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvireport.exe" GOTO end_if_copy_720
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvireport.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_720
:end_if_release_719
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_721
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvi2bitmap.exe" GOTO end_if_copy_722
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvi2bitmap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_722
:end_if_release_721
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_723
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\fontGeneration.exe" GOTO end_if_copy_724
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\fontGeneration.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_724
:end_if_release_723
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r219p0`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_freetype2_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_725
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\freetypes_test_gb_0.exe" GOTO end_if_copy_726
  COPY "%obuild_freetype2_path%\%obuild_dir_bin%\freetypes_test_gb_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_726
:end_if_release_725
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinGL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_727
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_coin_config.exe" GOTO end_if_copy_728
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_coin_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_728
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\coin-config.exe" GOTO end_if_copy_729
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\coin-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_729
:end_if_release_727
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinGL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_730
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.exe" GOTO end_if_copy_731
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_731
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.save" GOTO end_if_copy_732
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_732
:end_if_release_730
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinWin_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_733
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.exe" GOTO end_if_copy_734
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_734
:end_if_release_733
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinWin_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_735
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube2.exe" GOTO end_if_copy_736
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_736
:end_if_release_735
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_737
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_cube.exe" GOTO end_if_copy_738
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_738
:end_if_release_737
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_739
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_gui.exe" GOTO end_if_copy_740
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_gui.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_740
:end_if_release_739
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_741
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_coin_config.exe" GOTO end_if_copy_742
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_coin_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_742
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\soqt-config.exe" GOTO end_if_copy_743
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\soqt-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_743
:end_if_release_741
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_744
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.exe" GOTO end_if_copy_745
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_745
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.save" GOTO end_if_copy_746
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_746
:end_if_release_744
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinPython_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_747
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython_exa_0.exe" GOTO end_if_copy_748
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython_exa_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_748
:end_if_release_747
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_749
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.exe" GOTO end_if_copy_750
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_750
:end_if_release_749
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_751
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisToStdIv.exe" GOTO end_if_copy_752
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisToStdIv.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_752
:end_if_release_751
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_753
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Win.exe" GOTO end_if_copy_754
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_754
:end_if_release_753
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_755
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Win.exe" GOTO end_if_copy_756
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_756
:end_if_release_755
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_757
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Win.exe" GOTO end_if_copy_758
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_758
:end_if_release_757
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_759
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Win.exe" GOTO end_if_copy_760
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_760
:end_if_release_759
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_761
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Win.exe" GOTO end_if_copy_762
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_762
:end_if_release_761
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_763
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Win.exe" GOTO end_if_copy_764
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_764
:end_if_release_763
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_765
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Win.exe" GOTO end_if_copy_766
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_766
:end_if_release_765
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_767
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Win.exe" GOTO end_if_copy_768
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_768
:end_if_release_767
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_769
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Win.exe" GOTO end_if_copy_770
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_770
:end_if_release_769
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_771
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Win.exe" GOTO end_if_copy_772
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_772
:end_if_release_771
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_773
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Win.exe" GOTO end_if_copy_774
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_774
:end_if_release_773
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_775
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Win.exe" GOTO end_if_copy_776
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_776
:end_if_release_775
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_777
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Win.exe" GOTO end_if_copy_778
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_778
:end_if_release_777
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_779
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Win.exe" GOTO end_if_copy_780
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_780
:end_if_release_779
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_781
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Win.exe" GOTO end_if_copy_782
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_782
:end_if_release_781
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_783
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Win.exe" GOTO end_if_copy_784
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_784
:end_if_release_783
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_785
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Win.exe" GOTO end_if_copy_786
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_786
:end_if_release_785
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_787
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Win.exe" GOTO end_if_copy_788
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_788
:end_if_release_787
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_789
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Win.exe" GOTO end_if_copy_790
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_790
:end_if_release_789
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_791
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Win.exe" GOTO end_if_copy_792
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_792
:end_if_release_791
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_793
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Win.exe" GOTO end_if_copy_794
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_794
:end_if_release_793
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_795
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Win.exe" GOTO end_if_copy_796
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_796
:end_if_release_795
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_797
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Win.exe" GOTO end_if_copy_798
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_798
:end_if_release_797
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_799
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Win.exe" GOTO end_if_copy_800
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_800
:end_if_release_799
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_801
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Win.exe" GOTO end_if_copy_802
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_802
:end_if_release_801
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_803
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Win.exe" GOTO end_if_copy_804
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_804
:end_if_release_803
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_805
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Win.exe" GOTO end_if_copy_806
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_806
:end_if_release_805
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_807
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Win.exe" GOTO end_if_copy_808
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_808
:end_if_release_807
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_809
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Win.exe" GOTO end_if_copy_810
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_810
:end_if_release_809
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_811
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Win.exe" GOTO end_if_copy_812
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_812
:end_if_release_811
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_813
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Win.exe" GOTO end_if_copy_814
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_814
:end_if_release_813
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_815
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Win.exe" GOTO end_if_copy_816
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_816
:end_if_release_815
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_817
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Win.exe" GOTO end_if_copy_818
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_818
:end_if_release_817
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_819
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Win.exe" GOTO end_if_copy_820
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_820
:end_if_release_819
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_821
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Win.exe" GOTO end_if_copy_822
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_822
:end_if_release_821
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_823
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Win.exe" GOTO end_if_copy_824
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_824
:end_if_release_823
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_825
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Win.exe" GOTO end_if_copy_826
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_826
:end_if_release_825
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_827
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Win.exe" GOTO end_if_copy_828
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_828
:end_if_release_827
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_829
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Win.exe" GOTO end_if_copy_830
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_830
:end_if_release_829
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_831
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Win.exe" GOTO end_if_copy_832
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_832
:end_if_release_831
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_833
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Win.exe" GOTO end_if_copy_834
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_834
:end_if_release_833
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_835
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Win.exe" GOTO end_if_copy_836
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_836
:end_if_release_835
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_837
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Win.exe" GOTO end_if_copy_838
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_838
:end_if_release_837
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_839
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Win.exe" GOTO end_if_copy_840
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_840
:end_if_release_839
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_841
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Win.exe" GOTO end_if_copy_842
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_842
:end_if_release_841
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_843
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Win.exe" GOTO end_if_copy_844
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_844
:end_if_release_843
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_845
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Win.exe" GOTO end_if_copy_846
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_846
:end_if_release_845
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_847
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Win.exe" GOTO end_if_copy_848
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_848
:end_if_release_847
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_849
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Win.exe" GOTO end_if_copy_850
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_850
:end_if_release_849
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_851
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Win.exe" GOTO end_if_copy_852
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_852
:end_if_release_851
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_853
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Win.exe" GOTO end_if_copy_854
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_854
:end_if_release_853
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_855
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Win.exe" GOTO end_if_copy_856
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_856
:end_if_release_855
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_857
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Win.exe" GOTO end_if_copy_858
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_858
:end_if_release_857
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_859
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Win.exe" GOTO end_if_copy_860
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_860
:end_if_release_859
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_861
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Win.exe" GOTO end_if_copy_862
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_862
:end_if_release_861
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_863
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Win.exe" GOTO end_if_copy_864
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_864
:end_if_release_863
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_865
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Win.exe" GOTO end_if_copy_866
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_866
:end_if_release_865
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_867
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Win.exe" GOTO end_if_copy_868
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_868
:end_if_release_867
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_869
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Win.exe" GOTO end_if_copy_870
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_870
:end_if_release_869
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_871
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Win.exe" GOTO end_if_copy_872
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_872
:end_if_release_871
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_873
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Win.exe" GOTO end_if_copy_874
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_874
:end_if_release_873
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_875
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Win.exe" GOTO end_if_copy_876
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_876
:end_if_release_875
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_877
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Win.exe" GOTO end_if_copy_878
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_878
:end_if_release_877
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_879
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Win.exe" GOTO end_if_copy_880
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_880
:end_if_release_879
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_881
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Win.exe" GOTO end_if_copy_882
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_882
:end_if_release_881
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_883
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Win.exe" GOTO end_if_copy_884
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_884
:end_if_release_883
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_885
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Qt.exe" GOTO end_if_copy_886
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_886
:end_if_release_885
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_887
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Qt.exe" GOTO end_if_copy_888
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_888
:end_if_release_887
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_889
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Qt.exe" GOTO end_if_copy_890
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_890
:end_if_release_889
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_891
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Qt.exe" GOTO end_if_copy_892
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_892
:end_if_release_891
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_893
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Qt.exe" GOTO end_if_copy_894
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_894
:end_if_release_893
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_895
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Qt.exe" GOTO end_if_copy_896
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_896
:end_if_release_895
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_897
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Qt.exe" GOTO end_if_copy_898
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_898
:end_if_release_897
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_899
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Qt.exe" GOTO end_if_copy_900
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_900
:end_if_release_899
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_901
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Qt.exe" GOTO end_if_copy_902
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_902
:end_if_release_901
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_903
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Qt.exe" GOTO end_if_copy_904
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_904
:end_if_release_903
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_905
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Qt.exe" GOTO end_if_copy_906
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_906
:end_if_release_905
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_907
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Qt.exe" GOTO end_if_copy_908
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_908
:end_if_release_907
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_909
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Qt.exe" GOTO end_if_copy_910
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_910
:end_if_release_909
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_911
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Qt.exe" GOTO end_if_copy_912
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_912
:end_if_release_911
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_913
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Qt.exe" GOTO end_if_copy_914
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_914
:end_if_release_913
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_915
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Qt.exe" GOTO end_if_copy_916
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_916
:end_if_release_915
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_917
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Qt.exe" GOTO end_if_copy_918
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_918
:end_if_release_917
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_919
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Qt.exe" GOTO end_if_copy_920
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_920
:end_if_release_919
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_921
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Qt.exe" GOTO end_if_copy_922
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_922
:end_if_release_921
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_923
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Qt.exe" GOTO end_if_copy_924
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_924
:end_if_release_923
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_925
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Qt.exe" GOTO end_if_copy_926
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_926
:end_if_release_925
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_927
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Qt.exe" GOTO end_if_copy_928
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_928
:end_if_release_927
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_929
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Qt.exe" GOTO end_if_copy_930
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_930
:end_if_release_929
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_931
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Qt.exe" GOTO end_if_copy_932
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_932
:end_if_release_931
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_933
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Qt.exe" GOTO end_if_copy_934
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_934
:end_if_release_933
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_935
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Qt.exe" GOTO end_if_copy_936
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_936
:end_if_release_935
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_937
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Qt.exe" GOTO end_if_copy_938
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_938
:end_if_release_937
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_939
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Qt.exe" GOTO end_if_copy_940
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_940
:end_if_release_939
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_941
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Qt.exe" GOTO end_if_copy_942
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_942
:end_if_release_941
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_943
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Qt.exe" GOTO end_if_copy_944
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_944
:end_if_release_943
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_945
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Qt.exe" GOTO end_if_copy_946
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_946
:end_if_release_945
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_947
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Qt.exe" GOTO end_if_copy_948
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_948
:end_if_release_947
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_949
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Qt.exe" GOTO end_if_copy_950
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_950
:end_if_release_949
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_951
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Qt.exe" GOTO end_if_copy_952
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_952
:end_if_release_951
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_953
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Qt.exe" GOTO end_if_copy_954
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_954
:end_if_release_953
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_955
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Qt.exe" GOTO end_if_copy_956
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_956
:end_if_release_955
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_957
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Qt.exe" GOTO end_if_copy_958
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_958
:end_if_release_957
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_959
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Qt.exe" GOTO end_if_copy_960
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_960
:end_if_release_959
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_961
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Qt.exe" GOTO end_if_copy_962
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_962
:end_if_release_961
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_963
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Qt.exe" GOTO end_if_copy_964
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_964
:end_if_release_963
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_965
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Qt.exe" GOTO end_if_copy_966
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_966
:end_if_release_965
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_967
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Qt.exe" GOTO end_if_copy_968
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_968
:end_if_release_967
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_969
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Qt.exe" GOTO end_if_copy_970
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_970
:end_if_release_969
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_971
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Qt.exe" GOTO end_if_copy_972
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_972
:end_if_release_971
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_973
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Qt.exe" GOTO end_if_copy_974
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_974
:end_if_release_973
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_975
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Qt.exe" GOTO end_if_copy_976
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_976
:end_if_release_975
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_977
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Qt.exe" GOTO end_if_copy_978
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_978
:end_if_release_977
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_979
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Qt.exe" GOTO end_if_copy_980
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_980
:end_if_release_979
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_981
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Qt.exe" GOTO end_if_copy_982
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_982
:end_if_release_981
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_983
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Qt.exe" GOTO end_if_copy_984
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_984
:end_if_release_983
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_985
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Qt.exe" GOTO end_if_copy_986
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_986
:end_if_release_985
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_987
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Qt.exe" GOTO end_if_copy_988
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_988
:end_if_release_987
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_989
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Qt.exe" GOTO end_if_copy_990
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_990
:end_if_release_989
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_991
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Qt.exe" GOTO end_if_copy_992
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_992
:end_if_release_991
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_993
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Qt.exe" GOTO end_if_copy_994
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_994
:end_if_release_993
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_995
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Qt.exe" GOTO end_if_copy_996
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_996
:end_if_release_995
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_997
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Qt.exe" GOTO end_if_copy_998
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_998
:end_if_release_997
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_999
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Qt.exe" GOTO end_if_copy_1000
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1000
:end_if_release_999
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1001
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Qt.exe" GOTO end_if_copy_1002
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1002
:end_if_release_1001
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1003
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Qt.exe" GOTO end_if_copy_1004
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1004
:end_if_release_1003
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1005
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Qt.exe" GOTO end_if_copy_1006
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1006
:end_if_release_1005
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1007
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Qt.exe" GOTO end_if_copy_1008
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1008
:end_if_release_1007
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1009
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Qt.exe" GOTO end_if_copy_1010
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1010
:end_if_release_1009
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1011
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Qt.exe" GOTO end_if_copy_1012
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1012
:end_if_release_1011
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1013
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Qt.exe" GOTO end_if_copy_1014
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1014
:end_if_release_1013
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1015
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Qt.exe" GOTO end_if_copy_1016
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1016
:end_if_release_1015
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1017
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_Game_SDL.exe" GOTO end_if_copy_1018
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_Game_SDL.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1018
:end_if_release_1017
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1019
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_exa_detector.exe" GOTO end_if_copy_1020
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_exa_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1020
:end_if_release_1019
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1021
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\kuipcc.exe" GOTO end_if_copy_1022
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\kuipcc.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1022
:end_if_release_1021
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1023
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\kuipsh.exe" GOTO end_if_copy_1024
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\kuipsh.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1024
:end_if_release_1023
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1025
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx.exe" GOTO end_if_copy_1026
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1026
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\onx.exe" GOTO end_if_copy_1027
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1027
:end_if_release_1025
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1028
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx_config.exe" GOTO end_if_copy_1029
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1029
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\onx-config.exe" GOTO end_if_copy_1030
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\onx-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1030
:end_if_release_1028
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1031
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_obatch.exe" GOTO end_if_copy_1032
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_obatch.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1032
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obatch.exe" GOTO end_if_copy_1033
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\obatch.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1033
:end_if_release_1031
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1034
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_owin.exe" GOTO end_if_copy_1035
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_owin.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1035
:end_if_release_1034
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1036
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" GOTO end_if_copy_1037
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1037
:end_if_release_1036
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1038
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" GOTO end_if_copy_1039
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1039
:end_if_release_1038
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1040
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" GOTO end_if_copy_1041
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1041
:end_if_release_1040
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1042
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" GOTO end_if_copy_1043
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1043
:end_if_release_1042
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1044
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" GOTO end_if_copy_1045
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1045
:end_if_release_1044
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1046
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" GOTO end_if_copy_1047
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1047
:end_if_release_1046
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1048
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" GOTO end_if_copy_1049
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1049
:end_if_release_1048
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1050
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" GOTO end_if_copy_1051
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1051
:end_if_release_1050
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1052
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" GOTO end_if_copy_1053
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1053
:end_if_release_1052
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1054
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" GOTO end_if_copy_1055
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1055
:end_if_release_1054
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1056
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" GOTO end_if_copy_1057
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1057
:end_if_release_1056
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1058
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" GOTO end_if_copy_1059
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1059
:end_if_release_1058
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1060
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" GOTO end_if_copy_1061
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1061
:end_if_release_1060
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1062
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" GOTO end_if_copy_1063
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1063
:end_if_release_1062
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1064
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" GOTO end_if_copy_1065
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1065
:end_if_release_1064
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1066
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" GOTO end_if_copy_1067
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1067
:end_if_release_1066
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1068
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" GOTO end_if_copy_1069
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1069
:end_if_release_1068
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1070
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" GOTO end_if_copy_1071
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1071
:end_if_release_1070
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1072
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" GOTO end_if_copy_1073
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1073
:end_if_release_1072
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1074
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" GOTO end_if_copy_1075
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1075
:end_if_release_1074
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1076
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" GOTO end_if_copy_1077
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1077
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_1078
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1078
:end_if_release_1076
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1079
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" GOTO end_if_copy_1080
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1080
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" GOTO end_if_copy_1081
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1081
:end_if_release_1079
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1082
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" GOTO end_if_copy_1083
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1083
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" GOTO end_if_copy_1084
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1084
:end_if_release_1082
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1085
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" GOTO end_if_copy_1086
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1086
:end_if_release_1085
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1087
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" GOTO end_if_copy_1088
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1088
:end_if_release_1087
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1089
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" GOTO end_if_copy_1090
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1090
:end_if_release_1089
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1091
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" GOTO end_if_copy_1092
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1092
:end_if_release_1091
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1093
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" GOTO end_if_copy_1094
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1094
:end_if_release_1093
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1095
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" GOTO end_if_copy_1096
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1096
:end_if_release_1095
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1097
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" GOTO end_if_copy_1098
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1098
:end_if_release_1097
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1099
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" GOTO end_if_copy_1100
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1100
:end_if_release_1099
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1101
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" GOTO end_if_copy_1102
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1102
:end_if_release_1101
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1103
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" GOTO end_if_copy_1104
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1104
:end_if_release_1103
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1105
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" GOTO end_if_copy_1106
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1106
:end_if_release_1105
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1107
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" GOTO end_if_copy_1108
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1108
:end_if_release_1107
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1109
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" GOTO end_if_copy_1110
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1110
:end_if_release_1109
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1111
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" GOTO end_if_copy_1112
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1112
:end_if_release_1111
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1113
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" GOTO end_if_copy_1114
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1114
:end_if_release_1113
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1115
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" GOTO end_if_copy_1116
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1116
:end_if_release_1115
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1117
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_12.exe" GOTO end_if_copy_1118
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_12.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1118
:end_if_release_1117
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1119
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_13.exe" GOTO end_if_copy_1120
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_13.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1120
:end_if_release_1119
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1121
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_14.exe" GOTO end_if_copy_1122
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_14.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1122
:end_if_release_1121
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1123
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_0.exe" GOTO end_if_copy_1124
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1124
:end_if_release_1123
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1125
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_1.exe" GOTO end_if_copy_1126
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1126
:end_if_release_1125
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1127
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_3.exe" GOTO end_if_copy_1128
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1128
:end_if_release_1127
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1129
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_4.exe" GOTO end_if_copy_1130
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1130
:end_if_release_1129
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1131
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_5.exe" GOTO end_if_copy_1132
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1132
:end_if_release_1131
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1133
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_6.exe" GOTO end_if_copy_1134
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1134
:end_if_release_1133
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1135
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_7.exe" GOTO end_if_copy_1136
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1136
:end_if_release_1135
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1137
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_0.exe" GOTO end_if_copy_1138
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1138
:end_if_release_1137
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1139
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_1.exe" GOTO end_if_copy_1140
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1140
:end_if_release_1139
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1141
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_2.exe" GOTO end_if_copy_1142
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1142
:end_if_release_1141
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1143
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_3.exe" GOTO end_if_copy_1144
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1144
:end_if_release_1143
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1145
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_update.exe" GOTO end_if_copy_1146
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_update.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1146
:end_if_release_1145
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1147
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_0.exe" GOTO end_if_copy_1148
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1148
:end_if_release_1147
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1149
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_13.exe" GOTO end_if_copy_1150
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_13.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1150
:end_if_release_1149
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1151
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Chi2FitToHistogram.exe" GOTO end_if_copy_1152
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Chi2FitToHistogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1152
:end_if_release_1151
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1153
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Cloud.exe" GOTO end_if_copy_1154
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Cloud.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1154
:end_if_release_1153
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1155
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CloudCreate.exe" GOTO end_if_copy_1156
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CloudCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1156
:end_if_release_1155
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1157
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ComplexFit.exe" GOTO end_if_copy_1158
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ComplexFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1158
:end_if_release_1157
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1159
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.exe" GOTO end_if_copy_1160
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1160
:end_if_release_1159
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1161
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateAndFill.exe" GOTO end_if_copy_1162
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateAndFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1162
:end_if_release_1161
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1163
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateFromData.exe" GOTO end_if_copy_1164
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateFromData.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1164
:end_if_release_1163
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1165
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_FilterAndEvaluator.exe" GOTO end_if_copy_1166
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_FilterAndEvaluator.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1166
:end_if_release_1165
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1167
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Fit.exe" GOTO end_if_copy_1168
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Fit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1168
:end_if_release_1167
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1169
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Histogram.exe" GOTO end_if_copy_1170
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Histogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1170
:end_if_release_1169
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1171
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_HistogramArithmetic.exe" GOTO end_if_copy_1172
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_HistogramArithmetic.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1172
:end_if_release_1171
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1173
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Plot.exe" GOTO end_if_copy_1174
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Plot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1174
:end_if_release_1173
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1175
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" GOTO end_if_copy_1176
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1176
:end_if_release_1175
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1177
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" GOTO end_if_copy_1178
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1178
:end_if_release_1177
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1179
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" GOTO end_if_copy_1180
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1180
:end_if_release_1179
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1181
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" GOTO end_if_copy_1182
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1182
:end_if_release_1181
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1183
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" GOTO end_if_copy_1184
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1184
:end_if_release_1183
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1185
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" GOTO end_if_copy_1186
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1186
:end_if_release_1185
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1187
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" GOTO end_if_copy_1188
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1188
:end_if_release_1187
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1189
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" GOTO end_if_copy_1190
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1190
:end_if_release_1189
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1191
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" GOTO end_if_copy_1192
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1192
:end_if_release_1191
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1193
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" GOTO end_if_copy_1194
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1194
:end_if_release_1193
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1195
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" GOTO end_if_copy_1196
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1196
:end_if_release_1195
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1197
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" GOTO end_if_copy_1198
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1198
:end_if_release_1197
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1199
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" GOTO end_if_copy_1200
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1200
:end_if_release_1199
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1201
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" GOTO end_if_copy_1202
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1202
:end_if_release_1201
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1203
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" GOTO end_if_copy_1204
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1204
:end_if_release_1203
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1205
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" GOTO end_if_copy_1206
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1206
:end_if_release_1205
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1207
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" GOTO end_if_copy_1208
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1208
:end_if_release_1207
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1209
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" GOTO end_if_copy_1210
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1210
:end_if_release_1209
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1211
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" GOTO end_if_copy_1212
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1212
:end_if_release_1211
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1213
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" GOTO end_if_copy_1214
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1214
:end_if_release_1213
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1215
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" GOTO end_if_copy_1216
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1216
:end_if_release_1215
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1217
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" GOTO end_if_copy_1218
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1218
:end_if_release_1217
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1219
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" GOTO end_if_copy_1220
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1220
:end_if_release_1219
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1221
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" GOTO end_if_copy_1222
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1222
:end_if_release_1221
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1223
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" GOTO end_if_copy_1224
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1224
:end_if_release_1223
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1225
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" GOTO end_if_copy_1226
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1226
:end_if_release_1225
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1227
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" GOTO end_if_copy_1228
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1228
:end_if_release_1227
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1229
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" GOTO end_if_copy_1230
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1230
:end_if_release_1229
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1231
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore_vis.exe" GOTO end_if_copy_1232
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1232
:end_if_release_1231
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1233
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram_vis.exe" GOTO end_if_copy_1234
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1234
:end_if_release_1233
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1235
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit_vis.exe" GOTO end_if_copy_1236
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1236
:end_if_release_1235
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1237
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet_vis.exe" GOTO end_if_copy_1238
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1238
:end_if_release_1237
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1239
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample_vis.exe" GOTO end_if_copy_1240
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1240
:end_if_release_1239
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1241
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot_vis.exe" GOTO end_if_copy_1242
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1242
:end_if_release_1241
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1243
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour_vis.exe" GOTO end_if_copy_1244
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1244
:end_if_release_1243
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1245
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit_vis.exe" GOTO end_if_copy_1246
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1246
:end_if_release_1245
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1247
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1_vis.exe" GOTO end_if_copy_1248
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1248
:end_if_release_1247
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1249
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2_vis.exe" GOTO end_if_copy_1250
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1250
:end_if_release_1249
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1251
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3_vis.exe" GOTO end_if_copy_1252
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1252
:end_if_release_1251
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1253
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4_vis.exe" GOTO end_if_copy_1254
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1254
:end_if_release_1253
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1255
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5_vis.exe" GOTO end_if_copy_1256
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1256
:end_if_release_1255
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1257
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6_vis.exe" GOTO end_if_copy_1258
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1258
:end_if_release_1257
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1259
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7_vis.exe" GOTO end_if_copy_1260
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1260
:end_if_release_1259
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1261
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8_vis.exe" GOTO end_if_copy_1262
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1262
:end_if_release_1261
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1263
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11_vis.exe" GOTO end_if_copy_1264
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1264
:end_if_release_1263
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1265
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW_opaw.exe" GOTO end_if_copy_1266
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW_opaw.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1266
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\opaw.exe" GOTO end_if_copy_1267
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\opaw.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1267
:end_if_release_1265
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1268
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_g4lab_config.exe" GOTO end_if_copy_1269
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_g4lab_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1269
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\g4lab-config.exe" GOTO end_if_copy_1270
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\g4lab-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1270
:end_if_release_1268
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1271
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.exe" GOTO end_if_copy_1272
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1272
:end_if_release_1271
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1273
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02.exe" GOTO end_if_copy_1274
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1274
:end_if_release_1273
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1275
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03.exe" GOTO end_if_copy_1276
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1276
:end_if_release_1275
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1277
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04.exe" GOTO end_if_copy_1278
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1278
:end_if_release_1277
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1279
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05.exe" GOTO end_if_copy_1280
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1280
:end_if_release_1279
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1281
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06.exe" GOTO end_if_copy_1282
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1282
:end_if_release_1281
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1283
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07.exe" GOTO end_if_copy_1284
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1284
:end_if_release_1283
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1285
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01.exe" GOTO end_if_copy_1286
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1286
:end_if_release_1285
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1287
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01.exe" GOTO end_if_copy_1288
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1288
:end_if_release_1287
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1289
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" GOTO end_if_copy_1290
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1290
:end_if_release_1289
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1291
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_1292
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1292
:end_if_release_1291
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1293
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" GOTO end_if_copy_1294
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1294
:end_if_release_1293

cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF EXIST obuild_platform.exe DEL obuild_platform.exe
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
:obuild_return
ENDLOCAL
@ECHO ON
